@font-face {
    font-family: "PingFang HK";
    src:
        url("./../font/PingFangHK-Regular.otf"),
        url("./../font/PingFangHK-Medium.otf"),
        url("./../font/PingFangHK-Light.otf"),
}
 


@supports (-webkit-touch-callout: none) {


    body:lang(en) {
        font-family: 'PingFang HK', sans-serif;
    }

    body:lang(zh) {
        font-family: 'PingFang HK', sans-serif;
    }
}


@supports not (-webkit-touch-callout: none) {


    body:lang(en) {
        font-family: 'PingFang HK', sans-serif;
    }

    body:lang(zh) {
        font-family: 'PingFang HK', sans-serif;
    }
}


:root {
    /* --desktop-min-width:928px; */
    /* --desktop-min-width:1180px; */
    --desktop-min-width: 765px;
}

.top-nav-bar {
    width: 100%;
    background: #F3F3F3;
    position: sticky;
    z-index: 5;
}

.top-nav-bar img.company-logo {
    /* width: 120px; */
    padding: 4px 22px;
    width: 164px;
}

.top-nav-bar>div {
    margin-left: auto;
    margin-right: auto;
    max-width: 1160px;
    /* max-width: var(--desktop-min-width); */
    width: 100%;
    height: 64px;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.top-nav-bar .btn-back {
    /* max-width: 84px; */
    width: calc(100px - 8px - 12px);
    /* max-height: 30px; */
    height: calc(35px - 8px - 8px);
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: 8px;
    padding-right: 12px;
    background: #172846;
    justify-content: center;
    align-items: center;
    gap: 12px;
    display: flex;
    color: white;
}

.top-nav-bar .btn-back>div:first-child {
    width: 20px;
    height: 16px;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    margin-top: auto;
    margin-bottom: auto;
}

.top-nav-bar>div>div:last-child {
    align-items: center;
    gap: 16px;
    display: flex;
    padding-right: 22px;

}



.top-nav-bar .font-change-container {
    justify-content: flex-start;
    align-items: baseline;
    gap: 12px;

    position: relative;
    top: -5px;
    display: none;
}

.top-nav-bar .lnkFont {
    padding: unset;
}

.traffic-status {
    position: sticky;
}

.shuttle-back-bar {
    display: none;
}

/* large mode */
@media screen and (min-width:1024px) {


    .shuttlebus-title {
        padding-top: 26px;

    }

   

    .shuttle-back-bar {
        display: flex;
        height: 24px;
        justify-content: flex-start;
        max-width: var(--desktop-min-width);
        margin: auto;
        /* padding: 24px 0; */
        width: 100%;
        cursor: pointer;
    }
    .mainBody.big-screen .shuttle-back-bar {
        max-width: unset;
    }
    .shuttle-back-bar>div {
        width: 100%;
        display: flex;
        flex-direction: row;
    }

    .top-nav-bar img.company-logo {
        padding: unset;
        width: 290px;
        padding-left: 10px;
        padding-top: 4px;
        height: 84px;
    }

    .top-nav-bar>div {
        height: 120px;
        font-size: 16px;
    }

    .top-nav-bar>div>div:last-child {

        padding-right: unset;
        gap: 48px;
    }


    .top-nav-bar .btn-back {
        max-width: 136px;
        width: calc(136px - 16px - 24px);
        max-height: 48px;
        height: calc(48px - 12px - 12px);
        padding-top: 12px;
        padding-bottom: 12px;
        padding-left: 16px;
        padding-right: 24px;
        gap: 12px;
        cursor: pointer;
    }




    .top-nav-bar .font-change-container {
        display: flex;
    }

    .top-nav-bar a {
        text-decoration: none;
    }


    .traffic-status {

        display: none;
    }


    .font-change-area {

        max-width: 1024px;
        margin-left: auto;
        margin-right: auto;
    }

    .scroll .shuttle-container {
        opacity: 0;
        display: none;
    }

    .big-screen .scroll .shuttle-container {
        opacity: 1;
        display: flex;
    }



    .shuttle-container {

        width: calc(100% - 24px - 24px);
        display: flex;
        flex-direction: column;
    }

    .big-screen .shuttle-container {
        max-width: 333px;
    }

    .mtrimdBox_inner {
        /* width: calc(100vw - (24px * 2) - var(--scrollbar-width)); */
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;

    }



    .scroll .shuttle-map-container {


        display: inline-flex;

    }


    .shuttle-map-container {
        padding-top: 24px;

        background: white;
        box-shadow: var(--common-box-shadow);
        border-radius: var(--common-border-radius);
        flex-direction: column;

        display: none;

        width: calc(100% - 24px - 12px);

    }

    .big-screen .shuttle-map-container {
        max-width: 570px;
        display: flex;
        opacity: 1;
    }

    .shuttle-map-container .map-header {
        padding-left: 24px;
        padding-right: 24px;
        align-self: stretch;
        height: 66px;
        justify-content: center;
        align-items: flex-start;
        gap: 12px;
        display: inline-flex;

    }

    .mtrimdBox_inner.scroll {
        position: unset;
        right: unset;
    }

    .btn-zoom {
        display: none;
    }

    .map-img-container,
    .map-img-container img {
        border-bottom-left-radius: var(--common-border-radius);
        border-bottom-right-radius: var(--common-border-radius);

    }

    .mainBody {

        max-width: var(--desktop-min-width);
        margin-left: auto;
        margin-right: auto;
        height: unset;
    }

    .mainBody.big-screen {

        max-width: unset
    }

}